OpenShot Audio Library | OpenShotAudio: juce::MidiKeyboardState::Listener Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::MidiKeyboardState::Listener Class Referenceabstract

`#include <juce_MidiKeyboardState.h>`

Inheritance diagram for juce::MidiKeyboardState::Listener:

## Public Member Functions
virtual void | handleNoteOn (MidiKeyboardState *source, int midiChannel, int midiNoteNumber, float velocity)=0
virtual void | handleNoteOff (MidiKeyboardState *source, int midiChannel, int midiNoteNumber, float velocity)=0

## Detailed Description

Receives events from a MidiKeyboardState object.

Definition at line 138 of file juce_MidiKeyboardState.h.

## Member Function Documentation

## ◆ handleNoteOff()

virtual void juce::MidiKeyboardState::Listener::handleNoteOff | ( | MidiKeyboardState * | source,
|  | int | midiChannel,
|  | int | midiNoteNumber,
|  | float | velocity )
| pure virtual

Called when one of the MidiKeyboardState's keys is released.

This will be called synchronously when the state is either processing a buffer in its MidiKeyboardState::processNextMidiBuffer() method, or when a note is being played with its MidiKeyboardState::noteOff() method.

Note that this callback could happen from an audio callback thread, so be careful not to block, and avoid any UI activity in the callback.

Implemented in juce::MidiMessageCollector.

## ◆ handleNoteOn()

virtual void juce::MidiKeyboardState::Listener::handleNoteOn | ( | MidiKeyboardState * | source,
|  | int | midiChannel,
|  | int | midiNoteNumber,
|  | float | velocity )
| pure virtual

Called when one of the MidiKeyboardState's keys is pressed.

This will be called synchronously when the state is either processing a buffer in its MidiKeyboardState::processNextMidiBuffer() method, or when a note is being played with its MidiKeyboardState::noteOn() method.

Note that this callback could happen from an audio callback thread, so be careful not to block, and avoid any UI activity in the callback.

Implemented in juce::MidiMessageCollector.

The documentation for this class was generated from the following file:

- juce_MidiKeyboardState.h